VirtualBox Main API

Public Attributes | List of all members
IBIOSSettings Interface Reference

The IBIOSSettings interface represents BIOS settings of the virtual machine. More...

Inheritance diagram for IBIOSSettings:

## Public Attributes
attribute boolean | logoFadeIn
| Fade in flag for BIOS logo animation. More...
attribute boolean | logoFadeOut
| Fade out flag for BIOS logo animation. More...
attribute unsigned long | logoDisplayTime
| BIOS logo display time in milliseconds (0 = default). More...
attribute wstring | logoImagePath
| Local file system path for external BIOS splash image. More...
attribute BIOSBootMenuMode | bootMenuMode
| Mode of the BIOS boot device menu. More...
attribute boolean | ACPIEnabled
| ACPI support flag. More...
attribute boolean | IOAPICEnabled
| I/O-APIC support flag. More...
attribute APICMode | APICMode
| APIC mode to set up by the firmware. More...
attribute long long | timeOffset
| Offset in milliseconds from the host system time. More...
attribute boolean | PXEDebugEnabled
| PXE debug logging flag. More...
readonly attribute wstring | nonVolatileStorageFile
| The location of the file storing the non-volatile memory content when the VM is powered off. More...

## Detailed Description

The IBIOSSettings interface represents BIOS settings of the virtual machine.

This is used only in the IMachine::BIOSSettings attribute.

Interface ID:
  `{F13F667D-3624-4AC5-99C1-3D982EBD8D98}`

## Member Data Documentation

## ◆ logoFadeIn

attribute boolean IBIOSSettings::logoFadeIn

Fade in flag for BIOS logo animation.

## ◆ logoFadeOut

attribute boolean IBIOSSettings::logoFadeOut

Fade out flag for BIOS logo animation.

## ◆ logoDisplayTime

attribute unsigned long IBIOSSettings::logoDisplayTime

BIOS logo display time in milliseconds (0 = default).

## ◆ logoImagePath

attribute wstring IBIOSSettings::logoImagePath

Local file system path for external BIOS splash image.

Empty string means the default image is shown on boot.

## ◆ bootMenuMode

attribute BIOSBootMenuMode IBIOSSettings::bootMenuMode

Mode of the BIOS boot device menu.

## ◆ ACPIEnabled

attribute boolean IBIOSSettings::ACPIEnabled

ACPI support flag.

## ◆ IOAPICEnabled

attribute boolean IBIOSSettings::IOAPICEnabled

I/O-APIC support flag.

If set, VirtualBox will provide an I/O-APIC and support IRQs above 15.

## ◆ APICMode

attribute APICMode IBIOSSettings::APICMode

APIC mode to set up by the firmware.

## ◆ timeOffset

attribute long long IBIOSSettings::timeOffset

Offset in milliseconds from the host system time.

This allows for guests running with a different system date/time than the host. It is equivalent to setting the system date/time in the BIOS except it is not an absolute value but a relative one. Guest Additions time synchronization honors this offset.

## ◆ PXEDebugEnabled

attribute boolean IBIOSSettings::PXEDebugEnabled

PXE debug logging flag.

If set, VirtualBox will write extensive PXE trace information to the release log.

## ◆ nonVolatileStorageFile

readonly attribute wstring IBIOSSettings::nonVolatileStorageFile

The location of the file storing the non-volatile memory content when the VM is powered off.

The file does not always exist.

This feature will be realized after VirtualBox v4.3.0.